Get Meter Usage Summary

View as Markdown
Get aggregated usage for a meter over a time window. Optionally filter by customer.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

meter_idstringRequired
account_idstringRequired

Query parameters

customer_idstring or nullOptional

Customer ID (optional, omit to aggregate all customers)

merchant_account_idstring or nullOptional

Merchant account ID (optional; scopes usage to one merchant).

start_timedatetimeRequired

Start of time window (inclusive)

end_timedatetimeRequired

End of time window (exclusive)

Response

Successful Response
meter_idstring
customer_idstring or null
aggregation_formulaenum
start_timedatetime
end_timedatetime
aggregated_valuedouble

Errors

422
Unprocessable Entity Error